/**
 * TCS Dependency Map Renderer
 *
 * Copyright (c) 2005 TopCoder, Inc. All rights Reserved.
 */
package com.topcoder.rules.dependencymap.view.AccuracyTests.Enh1;

import com.topcoder.rules.dependencymap.view.DiagramRenderer;
import com.topcoder.rules.dependencymap.view.RendererException;
import com.topcoder.rules.dependencymap.view.AccuracyTests.GraphicsHelper;
import com.topcoder.rules.dependencymap.view.AccuracyTests.LayoutAbstractTests;
import com.topcoder.rules.dependencymap.view.AccuracyTests.MockGraphics;

/**
 * Tets for the enhancement 1: using width and height
 *
 * @author cucu
 * @version 1.0
 */
public class Enh1Tests extends LayoutAbstractTests {

    /**
     * Generates an instance of DiagramRenderer that will be used for the tests.
     */
    protected DiagramRenderer createDiagramRenderer() {
        return new MockDiagramRendererWH();
    }

    /**
     * Initialization for the enhancement 1 tests.
     */
    public Enh1Tests() {
        graphics = new MockGraphics();
    }


    /**
     * Save the expected and the resulting SVG.  Also compares obtained width and height,
     */
    protected void compare(String test, GraphicsHelper gh, DiagramRenderer dr) {
        try {
            // This if should never work, it is here so that I can use the catch for the developer that
            // incorrectly declared that getGraphics throws RendererException
            if (test.equals("this should never happen!")) {
                throw new RendererException("");
            }

            ((MockGraphics)dr.getGraphics(a, 1, 1)).save("test_files\\enh1\\" + test + "_result");
            gh.getGraphics().save("test_files\\enh1\\" + test);
        } catch (RendererException e) {

        }
        assertEquals("Bad width", gh.getWidth(), ((MockDiagramRendererWH) diagramRenderer).getWidth());
        assertEquals("Bad height", gh.getHeight(),((MockDiagramRendererWH) diagramRenderer).getHeight());
    }

}