/**
 * TCS Dependency Map Renderer
 *
 * Copyright (c) 2005 TopCoder, Inc. All rights Reserved.
 */
package com.topcoder.rules.dependencymap.view.AccuracyTests;

import java.awt.image.BufferedImage;
import java.util.Set;

import com.topcoder.rules.dependencymap.view.Dependency;
import com.topcoder.rules.dependencymap.view.DiagramRenderer;
import com.topcoder.rules.dependencymap.view.RendererGraphics;


/**
 *  Mock class that always return the same instance of MockGraphics
 *
 * @author cucu
 */
public class MockDiagramRenderer implements DiagramRenderer {

    private MockGraphics graphics;
    
    /**
     * Build a MockDiagramRenderer that will contain a MockGraphics
     */
    public MockDiagramRenderer() {
        graphics = new MockGraphics();
    }
    /**
     * Build a MockDiagramRenderer that will contain a MockGraphics
     */
    public MockDiagramRenderer(BufferedImage buffImg) {
        graphics = new MockGraphics(buffImg);
    }

    /* (non-Javadoc)
     * @see com.topcoder.rules.dependencymap.view.DiagramRenderer#getGraphics(com.topcoder.rules.dependencymap.view.Dependency)
     */
    public RendererGraphics getGraphics(Dependency dependency,int w, int h) {
        return graphics;
    }

    public Set getLog() {
        return graphics.getLog();
    }
}
